function createDefaultControls_pk4() {
  modeControlUSerKey(true); // Работаем в доме с режимами работы кодов пользователей

  //console.log(THIS_DEVICE);
  
  for (i in dataDevice) {
    if (i.includes("tf")) {
      paramsReleBrTb = false
 
    }
  }
  for (i in dataDevice) {
    if (dataDevice[i]) {
      let controlValue = dataDevice[i].value;
      // значение контрола
      let controlId = i; // название ключа

      let controlTitle = whoTitleControl(i); // Название контрола из справочника

      switch (controlId) {
        case "td": // модель устройства
          break;
        case "ps": // пароль блокировки GSM
          listControls[i] = Control.create("GSM_PS", controlId, "tab_gsm_ps_key", controlValue, controlTitle);
          break;

        case "ie": // канал ethernet
          listControls[i] = Control.create("IE_CONTROL", controlId, "tab_ethernet_ie", controlValue, controlTitle);
          break;

        case "ip1": // канал ethernet IP - адрес
          listControls[i] = Control.create(
            "ETHERNET_IP_CONTROL",
            controlId,
            "tab_ethernet_ip1",
            controlValue,
            controlTitle
          );
          break;

        case "ip2": // канал ethernet Шлюз сети
          listControls[i] = Control.create(
            "ETHERNET_IP_CONTROL",
            controlId,
            "tab_ethernet_ip2",
            controlValue,
            controlTitle
          );
          break;
        case "ip3": // канал ethernet Маска сети
          listControls[i] = Control.create(
            "ETHERNET_IP_CONTROL",
            controlId,
            "tab_ethernet_ip3",
            controlValue,
            controlTitle
          );
          break;

        case "ip4": // канал ethernet DNS
          listControls[i] = Control.create(
            "ETHERNET_DNS_CONTROL",
            controlId,
            "tab_ethernet_ip4",
            controlValue,
            controlTitle
          );
          break;
        case "ks3": // Пароль доступа к конфигурации
          listControls[i] = Control.create("KS3", controlId, "tab_main_pk4_ks3", controlValue, controlTitle);
          break;

        case "ws": // SSID Wi-Fi сети
          listControls[i] = Control.create("TEXTUnicode", controlId, "tab_ethernet_ws", controlValue, controlTitle);
          break;
        case "mp": // MAC-AP
          listControls[i] = Control.create("TEXT", controlId, "tab_ethernet_mp", controlValue, controlTitle);
          break;
        case "wk": // Пароль шифрования Wi-Fi
          listControls[i] = Control.create("TEXTUnicode", controlId, "tab_ethernet_wk", controlValue, controlTitle);
          break;

        case "hs": // URL сервера обновления ПО прибора
          listControls[i] = Control.create("TEXT_HS", controlId, "tab_updateSoft_PK4_url", controlValue, controlTitle);
          break;

        case "ma": // MAC - адрес ethernet
          listControls[i] = Control.create(
            "DISABLED_INPUT_MA",
            controlId,
            "tab_ethernet_ma",
            controlValue,
            controlTitle
          );
          break;

        case "mb": // MAC - адрес ethernet
          listControls[i] = Control.create(
            "DISABLED_INPUT_MA",
            controlId,
            "tab_ethernet_mb",
            controlValue,
            controlTitle
          );
          break;
        case "wa1_0": // MAC - адрес wifi
          listControls[i] = Control.create(
            "WiFi_CONTROL",
            controlId,
            "tab_wifi_param",
            controlValue,
            controlTitle
          );
          break;
        case "gi": // Идентификатор прибора
          listControls[i] = Control.create(
            "DISABLED_INPUT_GI_PK4",
            controlId,
            "tab_ip_udp_pk4_id",
            controlValue,
            controlTitle
          );
          break;
        case "ez": // Идентификатор прибора
          listControls[i] = Control.create("EZ_CONTROL", controlId, "tab_main_pk4_ez", controlValue, controlTitle);
          break;


        case "gs7_0": // GS7 IP UDP ETHERNET
          listControls[i] = Control.create("TEXT_GS_IP", "ip_gs7", "tab_ethernet_gs7_0", controlValue, controlTitle);
          break;

        case "gs7_1": // GS7 IP UDP ETHERNET
          listControls[i] = Control.create("TEXT_GS_UDP", "udp_gs7", "tab_ethernet_gs7_1", controlValue, controlTitle);
          break;
        case "gs8_0": // GS7 IP UDP ETHERNET
          listControls[i] = Control.create("TEXT_GS_IP", "ip_gs8", "tab_ethernet_gs8_0", controlValue, controlTitle);
          break;

        case "gs8_1": // GS7 IP UDP ETHERNET
          listControls[i] = Control.create("TEXT_GS_UDP", "udp_gs8", "tab_ethernet_gs8_1", controlValue, controlTitle);
          break;
        case "gs9_0": // GS7 IP UDP ETHERNET
          listControls[i] = Control.create("TEXT_GS_IP", "ip_gs9", "tab_ethernet_gs9_0", controlValue, controlTitle);
          break;

        case "gs9_1": // GS7 IP UDP ETHERNET
          listControls[i] = Control.create("TEXT_GS_UDP", "udp_gs9", "tab_ethernet_gs9_1", controlValue, controlTitle);
          break;

        case "el": // Время обнаружения выносного индикатора
          listControls[i] = Control.create("EL_CONTROL", controlId, "tab_main_pk4_el", controlValue, controlTitle);
          break;
        case "sz": // Привязка сирены к разделам 
          listControls[i] = Control.create("SZ_CONTROL", controlId, "tab_main_pk4_sz", controlValue, controlTitle);
          break;
        case "st": // Время работы сирены 
          listControls[i] = Control.create("ST_CONTROL", controlId, "tab_main_pk4_st", controlValue, controlTitle);
          break;
        case "im": // Выбор режима работы индикации на приборе
          listControls[i] = Control.create("IM_CONTROL", controlId, "tab_main_pk4_im", controlValue, controlTitle);
          break;
        case "bv": // Выбор уровня громкости встроеного зумера
          listControls[i] = Control.create("RANGE_SOUND", controlId, "tab_main_pk4_bv", controlValue, controlTitle);
          break;
        case "tp": // Время обнаружения резервного питания
          listControls[i] = Control.create("TP_CONTROL", controlId, "tab_main_pk4_tp", controlValue, controlTitle);
          break;
        case "ci": // Запрещена постановка без GPRS
          listControls[i] = Control.create(
            "BOOLEAN_ZAPRET_PK4",
            controlId,
            "zapret_gprs_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "fp": // Запрещена Постановка без 220В
          listControls[i] = Control.create("BOOLEAN_ZAPRET", controlId, "zapret_220v", controlValue, controlTitle);
          break;
        case "fb": // Запрещена постановка без АКБ
          listControls[i] = Control.create("BOOLEAN_ZAPRET", controlId, "zapret_akb", controlValue, controlTitle);
          break;
        case "ti": // Идентификатор прибора
          listControls[i] = Control.create("TI_CONTROL", controlId, "tab_main_pk4_ti", controlValue, controlTitle);
          break;
        case "en": // Включение режима «Тревога» ВИ при взломе/движении корпуса
          listControls[i] = Control.create("EN_CONTROL", controlId, "tab_main_pk4_en", controlValue, controlTitle);
          break;
        case "gm1": // APN-севрер для подключения сим 1
          listControls[i] = Control.create("GM_BOOLEAN", controlId, "tab_sim_1_apn", controlValue, controlTitle);
          break;
        case "gm2": // APN-севрер для подключения сим 1
          listControls[i] = Control.create("GM_BOOLEAN", controlId, "tab_sim_2_apn", controlValue, controlTitle);
          break;
        case "ga1": // APN-севрер для подключения сим 1
          listControls[i] = Control.create(
            "IP_ADDR_1_PK4",
            controlId,
            "tab_sim_1_apn_conf_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "ga2": // APN-севрер для подключения сим 2
          listControls[i] = Control.create(
            "IP_ADDR_2_PK4",
            controlId,
            "tab_sim_2_apn_conf_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "ga3": // APN-севрер для подключения БИЛАЙН
          listControls[i] = Control.create(
            "IP_ADDR_OPERATOR",
            controlId,
            "tab_sim_3_apn_conf_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "ga4": // APN-севрер для подключения БИЛАЙН
          listControls[i] = Control.create(
            "IP_ADDR_OPERATOR",
            controlId,
            "tab_sim_4_apn_conf_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "ga5": // APN-севрер для подключения БИЛАЙН
          listControls[i] = Control.create(
            "IP_ADDR_OPERATOR",
            controlId,
            "tab_sim_5_apn_conf_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "ga6": // APN-севрер для подключения БИЛАЙН
          listControls[i] = Control.create(
            "IP_ADDR_OPERATOR",
            controlId,
            "tab_sim_6_apn_conf_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "gl1": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GL_1_PK4",
            controlId,
            "tab_sim_1_apn_conf_gl_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "gd_0": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GD_0",
            controlId,
            "tab_ip_udp_pk4_period1",
            controlValue,
            controlTitle
          );
          break;
        case "gd_1": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GD_1",
            controlId,
            "tab_ip_udp_pk4_period2",
            controlValue,
            controlTitle
          );
          break;
        case "gt_0": // APN логин для подключения сим 1
          listControls[i] = Control.create("TEXT_GT_0", controlId, "tab_ip_udp_pk4_report", controlValue, controlTitle);
          break;
        case "gt_1": // APN логин для подключения сим 1
          listControls[i] = Control.create("TEXT_GT_1", controlId, "tab_ip_udp_pk4_max", controlValue, controlTitle);
          break;
        case "gl2": // APN логин для подключения сим 2
          listControls[i] = Control.create(
            "TEXT_GL_2_PK4",
            controlId,
            "tab_sim_2_apn_conf_gl_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "gl3": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_3_apn_conf_gl",
            controlValue,
            controlTitle
          );
          break;
        case "gl4": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_4_apn_conf_gl",
            controlValue,
            controlTitle
          );
          break;
        case "gl5": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_5_apn_conf_gl",
            controlValue,
            controlTitle
          );
          break;
        case "gl6": // APN логин для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_6_apn_conf_gl",
            controlValue,
            controlTitle
          );
          break;
        case "gp1": // APN пароль для подключения сим 1
          listControls[i] = Control.create(
            "TEXT_GL_1_PK4",
            controlId,
            "tab_sim_1_apn_conf_gp_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "gp2": // APN пароль для подключения сим 2
          listControls[i] = Control.create(
            "TEXT_GL_2_PK4",
            controlId,
            "tab_sim_2_apn_conf_gp_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "gp3": // APN пароль для подключения сим 2
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_3_apn_conf_gp",
            controlValue,
            controlTitle
          );
          break;
        case "gp4": // APN пароль для подключения сим 2
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_4_apn_conf_gp",
            controlValue,
            controlTitle
          );
          break;
        case "gp5": // APN пароль для подключения сим 2
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_5_apn_conf_gp",
            controlValue,
            controlTitle
          );
          break;
        case "gp6": // APN пароль для подключения сим 2
          listControls[i] = Control.create(
            "TEXT_GL_OPERATOR",
            controlId,
            "tab_sim_6_apn_conf_gp",
            controlValue,
            controlTitle
          );
          break;
        case "cm_0": // Режим выбора работы сим карты симметричный, рещервированный
          listControls[i] = Control.create(
            "RADIO_BUTTON_CM_0",
            controlId,
            "tab_gsm_cm_0_pk4",
            controlValue,
            controlTitle
          );
          break;
        case "cm_1": // Режим возврата на основную SIM-карту
          listControls[i] = Control.create(
            "INT_CM_120",
            controlId,
            "tab_gsm_cm_1_pk4",
            controlValue,
            "Время возврата на основную SIM-карту (1..120) (мин.)"
          );
          break;
        case "at1": // Выбор используемой GSM антенны
          listControls[i] = Control.create("RADIO_BUTTON_AT1", controlId, "tab_gsm_at1", controlValue, controlTitle);
          break;
        // case "sn1_1": // Номера телефонов для отправки SMS-сообщений  1 сим
        //   listControls[i] = Control.create("TEXT_SIM", controlId, "tab_sim_1_numberSms", controlValue, controlTitle);
        //   break;
        // ЗАМЕНЕННО НА SN_1_2: "searchKey_SN_1_2()"
        // case "sn2_1": // Номера телефонов для отправки SMS-сообщений  2 сим
        //   listControls[i] = Control.create("TEXT_SIM", controlId, "tab_sim_2_numberSms", controlValue, controlTitle);
        //   break;
        case "tc1_0": // Температура нижний порог
          listControls[i] = Control.create(
            "RANGE_TEMPERATURA_MIN",
            controlId,
            "tab_sensors_temp_min",
            controlValue,
            controlTitle
          );
          break;
        case "tc1_1": // Температура  верхний порог
          listControls[i] = Control.create(
            "RANGE_TEMPERATURA_MAX",
            controlId,
            "tab_sensors_temp_max",
            controlValue,
            controlTitle
          );
          break;
        case "ow": // режим работы с электронными ключами
          listControls[i] = Control.create("OW_CONTROL", controlId, "tab_keys_tm", controlValue, controlTitle);
          break;
        case "om": // Периодичность отправки сообщений "Тест" по каналу SMS, при отсутствии связи
          listControls[i] = Control.create(
            "INT_OM_PK4",
            controlId,
            "tab_indication_pk4_om",
            controlValue,
            controlTitle
          );
          break;
        case "on": // Периодичность отправки по дозвону сообщения
          listControls[i] = Control.create(
            "INT_ON_PK4",
            controlId,
            "tab_indication_pk4_on",
            controlValue,
            controlTitle
          );
          break;
        case "ks1": // Ключ шифрования файла
          listControls[i] = Control.create("TEXT", controlId, "tab_main_pk4_ks1", controlValue, controlTitle);
          break;
        case "ks2": // Старый ключ шифрования
          listControls[i] = Control.create("TEXT", controlId, "tab_main_pk4_ks2", controlValue, controlTitle);
          break;
        case "!!": // Пароль удаленного управления
          listControls[i] = Control.create("TEXT", controlId, "tab_main_pk4_upr", controlValue, controlTitle);
          break;
        case "oa": // Псевдоним прибора
          listControls[i] = Control.create("TEXT_NAME_DEVICE", controlId, "tab_main_pk4_oa", controlValue, controlTitle);
          break;
        case "ph1": // Номера телефонов, установленных в прибор
          listControls[i] = Control.create(
            "TEXT_PH15",
            controlId,
            "tab_main_pk4_ph1",
            controlValue,
            "Номер телефона SIM-карты №1"
          );
          break;
        case "ph2":
          listControls[i] = Control.create(
            "TEXT_PH15",
            controlId,
            "tab_main_pk4_ph2",
            controlValue,
            "Номер телефона SIM-карты №2"
          );
          break;
        case "ii":
          listControls[i] = Control.create(
            "TEXT_II",
            controlId,
            "tab_main_pk4_ii",
            controlValue,
            "IMEI GSM модема"
          );
          break;
        case "cb1_0": // Период опроса SIM карты 1
          listControls[i] = Control.create(
            "TEXT_CB1_2_PERIOD",
            controlId,
            "tab_main_pk4_cb1_0",
            controlValue,
            "Период опроса баланса SIM-карты №1 (0..48)"
          );
          break;
        case "cb1_1": // Код запроса баланса SIM карты 1
          listControls[i] = Control.create(
            "TEXT_CB1_2_CODE",
            controlId,
            "tab_main_pk4_cb1_1",
            controlValue,
            "Код запроса баланса SIM-карты №1"
          );
          break;
        case "cb2_0": // Период опроса SIM карты 2
          listControls[i] = Control.create(
            "TEXT_CB1_2_PERIOD",
            controlId,
            "tab_main_pk4_cb2_0",
            controlValue,
            "Период опроса баланса SIM-карты №2 (0..48)"
          );
          break;
        case "cb2_1": // Код запроса баланса SIM карты 2
          listControls[i] = Control.create(
            "TEXT_CB1_2_CODE",
            controlId,
            "tab_main_pk4_cb2_1",
            controlValue,
            "Код запроса баланса SIM-карты №2"
          );
          break;
        case "ct1": // Порог оповещения о низком балансе счета SIM карты 1
          listControls[i] = Control.create("TEXT_SIMlow", controlId, "tab_main_pk4_ct1", controlValue, controlTitle);
          break;
        case "ct2": // Порог оповещения о низком балансе счета SIM карты 2
          listControls[i] = Control.create("TEXT_SIMlow", controlId, "tab_main_pk4_ct2", controlValue, controlTitle);
          break;

        case "fc_0": // Параметры проверки каналов связи
          listControls[i] = Control.create("CheckBox_Channel", controlId, "tab_main_pk4_fc0", controlValue, controlTitle);
          break;
        case "fc_1": // Параметры проверки каналов связи
          listControls[i] = Control.create("TEXT_Period", controlId, "tab_main_pk4_fc1", controlValue, controlTitle);
          break;
        case "ca":
          listControls[i] = Control.create("TEXT_CA", controlId, "tab_gsm_ca_pk4", controlValue, controlTitle);
          break;
        case "ms":
          listControls[i] = Control.create("MS_CONTROL", controlId, "tab_mode_pk4_ms", controlValue, controlTitle);
          break;
        case "es":
          listControls[i] = Control.create("BOOLEAN_ES", controlId, "tab_mode_pk4_es", controlValue, controlTitle);
          break;
        case "lf":
          listControls[i] = Control.create("BOOLEAN_LF", controlId, "tab_mode_pk4_log", controlValue, controlTitle);
          break;
        case "em":
          listControls[i] = Control.create(
            "BOOLEAN_VZLOM",
            controlId,
            "tab_sensors_pk4_em",
            controlValue,
            controlTitle
          );
          break;
        case "ha":
          listControls[i] = Control.create(
            "BOOLEAN_HA",
            controlId,
            "tab_updateSoft_PK4_check",
            controlValue,
            controlTitle
          );
          break;

        case "br":
          if (paramsReleBrTb) {
            listControls[i] = Control.create("BOOLEAN_BR", controlId, "tab_rele_pk4_br", controlValue, controlTitle);
          }

          break;
        case "tb":
          if (paramsReleBrTb) {
            listControls[i] = Control.create("BOOLEAN_TB", controlId, "tab_rele_pk4_tb", controlValue, controlTitle);
          }
          break;
        case "xo":
          listControls[i] = Control.create("TEXT_XO", controlId, "tab_sensors_pk4_xo", controlValue, controlTitle);
          break;
        case "ci":
          listControls[i] = Control.create("TEXT", controlId, "tab_main_pk4_ci", controlValue, controlTitle);
          break;
        case "if":
          listControls[i] = Control.create("TEXT", controlId, "tab_main_pk4_if", controlValue, controlTitle);
          break;
        case "al":
          listControls[i] = Control.create("AL_CONTROL", controlId, "tab_mode_pk4_huk", controlValue, controlTitle);
          break;
        case "rc":
          listControls[i] = Control.create("RC_CONTROL", controlId, "tab_mode_pk4_rc", controlValue, controlTitle);
          break;
        case "tu":
          listControls[i] = Control.create("TU_CONTROL", controlId, "tab_mode_pk4_tu", controlValue, controlTitle);
          break;
        case "dp_0":
          listControls[i] = Control.create("DP_CONTROL", controlId, "tab_gsm_call_pk4_dp", controlValue, controlTitle);
          break;
        case "ds":
          listControls[i] = Control.create("DS_CONTROL", controlId, "tab_gsm_call_pk4_ds", controlValue, controlTitle);
          break;
        case "pr":
          listControls[i] = Control.create("RADIO_BUTTON_PR", controlId, "tab_mode_pk4_pr", controlValue, controlTitle);
          break;
        case "sm":
          listControls[i] = Control.create("RADIO_BUTTON_SM", controlId, "tab_main_pk4_sm", controlValue, controlTitle);
          break;
        case "sk":
          listControls[i] = Control.create(
            "RADIO_BUTTON_SK",
            controlId,
            "tab_sms_codirovka",
            controlValue,
            controlTitle
          );
          break;
        case "sg":
          listControls[i] = Control.create("RADIO_BUTTON_SG", controlId, "tab_sms_mode", controlValue, controlTitle);
          break;
        case "mc":
          listControls[i] = Control.create(
            "RADIO_BUTTON_MC_PK4",
            controlId,
            "tab_mode_pk4_lan",
            controlValue,
            controlTitle
          );
          break;
        case "xxmn":
          listControls[i] = Control.create(
            "RADIO_BUTTON_MAC_RADIO",
            controlId,
            "tab_r_device_mac",
            controlValue,
            controlTitle
          );
          break;
        case "ed": // Идентификатор прибора
          listControls[i] = Control.create("ED_CONTROL", controlId, "tab_main_ed_pk4", controlValue, controlTitle);
          break;
        case "lc":
          listControls[i] = Control.create("LC_CONTROL", controlId, "tab_sensors_fixed", controlValue, controlTitle);
          break;
        case "os":
          listControls[i] = Control.create("TEXT_OS", controlId, "tab_keys_ds", controlValue, controlTitle);
          break;
        case "ep":
          //$.show("#controlSpeedRs485");
          document.getElementById("speedRs485").value = controlValue;
          break;

        default:
        //listControls[i] = Control.create(controlType, controlId, "tab_relay", controlValue, controlTitle);
        //newGroupControl(i, dataDevice[i], controlTitle); // отправляем ключ на создание сложносостовного контрола
      }
    } else {
      if (i != "ws" && i != "wk") {
        console.log(
          "%cError! ключ - " + i + " имеет недопустимое значение",
          "background: #000; color: red; font-size:18px"
        );
        //alertbox.show("ключ - " + i + " имеет недопустимое значение");
        //console.log("Error", i);
      }
    }
  }
}
